Create intent mandate
Create a spending mandate (total budget + validity window) and get a link for the user to link the agent (if needed) and sign it. hostAllowlist and per-transaction limits are stored but not enforced.
POST
/api/mandates/create-intent
Request Body
application/json
Create-intent request.
Mandate terms.
Responses
Mandate created; awaiting the user's signature.
application/json
Created mandate.
Always ok.
Mandate ID.
Link for the user to link the agent (if needed) and sign the mandate.
When authorizationUrl expires (about 6 hours). Not the mandate validity end.
Whether the agent is already linked to the wallet.
Valid values
"ready""needs_wallet_authorization"{
"status": "<string>",
"mandateId": "<string>",
"authorizationUrl": "<string>",
"expiresAt": "<string>",
"agentStatus": "<string>"
}